Debian Bug report logs - #493538
Please add --build-twice-in-a-row option

version graph

Package: pbuilder; Maintainer for pbuilder is Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>; Source for pbuilder is src:pbuilder.

Reported by: Nicolas Valcárcel <nvalcarcel@gmail.com>

Date: Sun, 3 Aug 2008 03:18:01 UTC

Severity: wishlist

Tags: confirmed, fixed-upstream

Merged with 490935

Found in version pbuilder/0.181

Fixed in version pbuilder/0.195

Done: Junichi Uekawa <dancer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Valcárcel <nvalcarcel@gmail.com>
To: submit@bugs.debian.org
Subject: Please add --build-twice-in-a-row option
Date: Sat, 02 Aug 2008 23:17:00 -0400
[Message part 1 (text/plain, inline)]
Package: pbuilder
Version: 0.181
Severity: wishlist
Tags: patch

--- Please enter the report below this line. ---

Many sponsors will build packages twice in a row to ensure the archive
will be reuildable. Adding a pbuilder option to do this would make it
easier for people to test for this and improve the quality of the
archive.

This option would restart the build in the same chroot with the
post-build source from the first build.

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.24-19-generic

Debian Release: lenny/sid
  500 hardy-updates   archive.ubuntu.com 
  500 hardy-security  security.ubuntu.com 
  500 hardy-backports us.archive.ubuntu.com 
  500 hardy-backports archive.ubuntu.com 
  500 hardy           archive.ubuntu.com 

--- Package information. ---
Depends             (Version) | Installed
=============================-+-=============
coreutils        (>= 4.5.8-1) | 6.10-3ubuntu2
debianutils       (>= 1.13.1) | 2.28.2-0ubuntu1
debootstrap                   | 1.0.9~hardy1
 OR cdebootstrap              | 
gcc                           | 4:4.2.3-1ubuntu6
wget                          | 1.10.2-3ubuntu1

-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[twice-in-a-row.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 493538@bugs.debian.org (full text, mbox):

From: Nicolas Valcárcel <nvalcarcel@gmail.com>
To: 493538@bugs.debian.org
Subject: Re: Bug#493538: Acknowledgement (Please add --build-twice-in-a-row option)
Date: Sun, 03 Aug 2008 21:51:55 -0400
[Message part 1 (text/plain, inline)]
Modified option from --build-twice-in-a-row to just --build-twice and
added some documentation.

-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[twice-in-a-row.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 493538@bugs.debian.org (full text, mbox):

From: Nicolas Valcárcel <nvalcarcel@gmail.com>
To: 493538@bugs.debian.org
Subject: Re: Bug#493538: Info received (Bug#493538: Acknowledgement (Please add --build-twice-in-a-row option))
Date: Sun, 03 Aug 2008 23:28:09 -0400
[Message part 1 (text/plain, inline)]
Changed for --twice option.

-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[twice-in-a-row.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 493538@bugs.debian.org (full text, mbox):

From: Nicolas Valcárcel <nvalcarcel@gmail.com>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 493538@bugs.debian.org
Subject: Please add --build-twice-in-a-row option
Date: Mon, 04 Aug 2008 23:05:38 -0400
[Message part 1 (text/plain, inline)]
On my last patch it adds a --twice option which fixes the issue on the
where it should be.

On Tue, 2008-08-05 at 11:33 +0900, Junichi Uekawa wrote:
> Hi,
> 
> I think the concept of the patch might be a good thing, but I don't
> like the location the command-line option was added.  It should really
> be added in pbuilder-checkparams.
> 
> BTW, can't you actually create a hook script of some sort? That'd be
> a much easier change to incorporate.
> 
> > 
> > --- pbuilder-0.181/pbuilder	2008-05-24 18:54:05.000000000 -0400
> > +++ pbuilder-0.181/pbuilder	2008-08-03 21:27:29.000000000 -0400
> > @@ -34,6 +34,10 @@
> >  	shift ;
> >  	/usr/lib/pbuilder/pbuilder-updatebuildenv "$@"
> >  	;;
> > +    --build-twice|build-twice)
> > +        shift ;
> > +        /usr/lib/pbuilder/pbuilder-buildpackage --twice "$@"
> > +        ;;
> >      --build|build)
> >  	shift ;
> >  	/usr/lib/pbuilder/pbuilder-buildpackage "$@"
> > --- pbuilder-0.181/pbuilder.8	2008-05-24 18:54:05.000000000 -0400
> > +++ pbuilder-0.181/pbuilder.8	2008-08-03 21:30:13.000000000 -0400
> > @@ -8,6 +8,8 @@
> >  .PP
> >  .BI "pbuilder --build [" "options" "] " ".dsc-file"
> >  .PP
> > +.BI "pbuilder --build-twice [" "options" "] " ".dsc-file"
> > +.PP
> >  .BI "pbuilder --execute [" "options" "] -- " "script [" "script options" "]"
> >  .PP
> >  .BI "pbuilder --clean"
> > @@ -51,6 +53,13 @@
> >  .B "base.tgz"
> >  
> >  .TP
> > +.B "--build-twice"
> > +Builds the package specified by
> > +.I ".dsc-file"
> > +twice in a row in the chroot environment created using the
> > +.B "base.tgz"
> > +
> > +.TP
> >  .B "--clean"
> >  Cleans up the directory specified by the configuration
> >  .B "BUILDPLACE"
> > --- pbuilder-0.181/pbuilder-buildpackage	2008-05-24 18:54:05.000000000 -0400
> > +++ pbuilder-0.181/pbuilder-buildpackage	2008-08-02 19:13:07.000000000 -0400
> > @@ -25,6 +25,11 @@
> >  . /usr/lib/pbuilder/pbuilder-runhooks
> >  . /usr/lib/pbuilder/pbuilder-buildpackage-funcs
> >  
> > +if [ "$1" = --twice]; then
> > +    TWICE=True
> > +    shift;
> > +fi
> > +
> >  PACKAGENAME="$1"
> >  if [ ! -f "$PACKAGENAME" ]; then
> >      echo "Command line parameter [$PACKAGENAME] is not a valid .dsc file name" >&2
> > @@ -117,8 +122,14 @@
> >  
> >  if [ -z "$DEBEMAIL" ]; then
> >      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> > +    if [ -z "$TWICE" ]; then
> > +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> > +    fi
> >  else
> >      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc  \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> > +    if [ -z "$TWICE" ]; then
> > +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> > +    fi
> >  fi
> >  
> >  (
> > --- pbuilder-0.181/pbuilder-modules	2008-05-24 18:54:05.000000000 -0400
> > +++ pbuilder-0.181/pbuilder-modules	2008-08-03 21:30:54.000000000 -0400
> > @@ -37,6 +37,9 @@
> >  pbuilder --build [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> >    Builds using the base.tgz. Requires a .dsc filename
> >  
> > +pbuilder --build-twice [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> > +  Builds twice in a row using the base.tgz. Requires a .dsc filename
> > +
> >  pbuilder --clean
> >    Cleans the temporal build directory.
> >  
-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 493538@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Nicolas Valcárcel <nvalcarcel@gmail.com>, 493538@bugs.debian.org
Subject: Re: Bug#493538: Acknowledgement (Please add --build-twice-in-a-row option)
Date: Tue, 05 Aug 2008 11:33:48 +0900
Hi,

I think the concept of the patch might be a good thing, but I don't
like the location the command-line option was added.  It should really
be added in pbuilder-checkparams.

BTW, can't you actually create a hook script of some sort? That'd be
a much easier change to incorporate.

> 
> --- pbuilder-0.181/pbuilder	2008-05-24 18:54:05.000000000 -0400
> +++ pbuilder-0.181/pbuilder	2008-08-03 21:27:29.000000000 -0400
> @@ -34,6 +34,10 @@
>  	shift ;
>  	/usr/lib/pbuilder/pbuilder-updatebuildenv "$@"
>  	;;
> +    --build-twice|build-twice)
> +        shift ;
> +        /usr/lib/pbuilder/pbuilder-buildpackage --twice "$@"
> +        ;;
>      --build|build)
>  	shift ;
>  	/usr/lib/pbuilder/pbuilder-buildpackage "$@"
> --- pbuilder-0.181/pbuilder.8	2008-05-24 18:54:05.000000000 -0400
> +++ pbuilder-0.181/pbuilder.8	2008-08-03 21:30:13.000000000 -0400
> @@ -8,6 +8,8 @@
>  .PP
>  .BI "pbuilder --build [" "options" "] " ".dsc-file"
>  .PP
> +.BI "pbuilder --build-twice [" "options" "] " ".dsc-file"
> +.PP
>  .BI "pbuilder --execute [" "options" "] -- " "script [" "script options" "]"
>  .PP
>  .BI "pbuilder --clean"
> @@ -51,6 +53,13 @@
>  .B "base.tgz"
>  
>  .TP
> +.B "--build-twice"
> +Builds the package specified by
> +.I ".dsc-file"
> +twice in a row in the chroot environment created using the
> +.B "base.tgz"
> +
> +.TP
>  .B "--clean"
>  Cleans up the directory specified by the configuration
>  .B "BUILDPLACE"
> --- pbuilder-0.181/pbuilder-buildpackage	2008-05-24 18:54:05.000000000 -0400
> +++ pbuilder-0.181/pbuilder-buildpackage	2008-08-02 19:13:07.000000000 -0400
> @@ -25,6 +25,11 @@
>  . /usr/lib/pbuilder/pbuilder-runhooks
>  . /usr/lib/pbuilder/pbuilder-buildpackage-funcs
>  
> +if [ "$1" = --twice]; then
> +    TWICE=True
> +    shift;
> +fi
> +
>  PACKAGENAME="$1"
>  if [ ! -f "$PACKAGENAME" ]; then
>      echo "Command line parameter [$PACKAGENAME] is not a valid .dsc file name" >&2
> @@ -117,8 +122,14 @@
>  
>  if [ -z "$DEBEMAIL" ]; then
>      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> +    if [ -z "$TWICE" ]; then
> +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> +    fi
>  else
>      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc  \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> +    if [ -z "$TWICE" ]; then
> +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> +    fi
>  fi
>  
>  (
> --- pbuilder-0.181/pbuilder-modules	2008-05-24 18:54:05.000000000 -0400
> +++ pbuilder-0.181/pbuilder-modules	2008-08-03 21:30:54.000000000 -0400
> @@ -37,6 +37,9 @@
>  pbuilder --build [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
>    Builds using the base.tgz. Requires a .dsc filename
>  
> +pbuilder --build-twice [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> +  Builds twice in a row using the base.tgz. Requires a .dsc filename
> +
>  pbuilder --clean
>    Cleans the temporal build directory.
>  




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 493538@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: Nicolas Valcárcel <nvalcarcel@gmail.com>
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 493538@bugs.debian.org
Subject: Re: Please add --build-twice-in-a-row option
Date: Wed, 06 Aug 2008 11:53:02 +0900
I reviewed your second patch and it doesn't make sense, did you actually test it?

At Mon, 04 Aug 2008 23:05:38 -0400,
Nicolas Valcárcel wrote:
> 
> [1  <text/plain (quoted-printable)>]
> On my last patch it adds a --twice option which fixes the issue on the
> where it should be.
> 
> On Tue, 2008-08-05 at 11:33 +0900, Junichi Uekawa wrote:
> > Hi,
> > 
> > I think the concept of the patch might be a good thing, but I don't
> > like the location the command-line option was added.  It should really
> > be added in pbuilder-checkparams.
> > 
> > BTW, can't you actually create a hook script of some sort? That'd be
> > a much easier change to incorporate.
> > 
> > > 
> > > --- pbuilder-0.181/pbuilder	2008-05-24 18:54:05.000000000 -0400
> > > +++ pbuilder-0.181/pbuilder	2008-08-03 21:27:29.000000000 -0400
> > > @@ -34,6 +34,10 @@
> > >  	shift ;
> > >  	/usr/lib/pbuilder/pbuilder-updatebuildenv "$@"
> > >  	;;
> > > +    --build-twice|build-twice)
> > > +        shift ;
> > > +        /usr/lib/pbuilder/pbuilder-buildpackage --twice "$@"
> > > +        ;;
> > >      --build|build)
> > >  	shift ;
> > >  	/usr/lib/pbuilder/pbuilder-buildpackage "$@"
> > > --- pbuilder-0.181/pbuilder.8	2008-05-24 18:54:05.000000000 -0400
> > > +++ pbuilder-0.181/pbuilder.8	2008-08-03 21:30:13.000000000 -0400
> > > @@ -8,6 +8,8 @@
> > >  .PP
> > >  .BI "pbuilder --build [" "options" "] " ".dsc-file"
> > >  .PP
> > > +.BI "pbuilder --build-twice [" "options" "] " ".dsc-file"
> > > +.PP
> > >  .BI "pbuilder --execute [" "options" "] -- " "script [" "script options" "]"
> > >  .PP
> > >  .BI "pbuilder --clean"
> > > @@ -51,6 +53,13 @@
> > >  .B "base.tgz"
> > >  
> > >  .TP
> > > +.B "--build-twice"
> > > +Builds the package specified by
> > > +.I ".dsc-file"
> > > +twice in a row in the chroot environment created using the
> > > +.B "base.tgz"
> > > +
> > > +.TP
> > >  .B "--clean"
> > >  Cleans up the directory specified by the configuration
> > >  .B "BUILDPLACE"
> > > --- pbuilder-0.181/pbuilder-buildpackage	2008-05-24 18:54:05.000000000 -0400
> > > +++ pbuilder-0.181/pbuilder-buildpackage	2008-08-02 19:13:07.000000000 -0400
> > > @@ -25,6 +25,11 @@
> > >  . /usr/lib/pbuilder/pbuilder-runhooks
> > >  . /usr/lib/pbuilder/pbuilder-buildpackage-funcs
> > >  
> > > +if [ "$1" = --twice]; then
> > > +    TWICE=True
> > > +    shift;
> > > +fi
> > > +
> > >  PACKAGENAME="$1"
> > >  if [ ! -f "$PACKAGENAME" ]; then
> > >      echo "Command line parameter [$PACKAGENAME] is not a valid .dsc file name" >&2
> > > @@ -117,8 +122,14 @@
> > >  
> > >  if [ -z "$DEBEMAIL" ]; then
> > >      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> > > +    if [ -z "$TWICE" ]; then
> > > +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> > > +    fi
> > >  else
> > >      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc  \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> > > +    if [ -z "$TWICE" ]; then
> > > +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> > > +    fi
> > >  fi
> > >  
> > >  (
> > > --- pbuilder-0.181/pbuilder-modules	2008-05-24 18:54:05.000000000 -0400
> > > +++ pbuilder-0.181/pbuilder-modules	2008-08-03 21:30:54.000000000 -0400
> > > @@ -37,6 +37,9 @@
> > >  pbuilder --build [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> > >    Builds using the base.tgz. Requires a .dsc filename
> > >  
> > > +pbuilder --build-twice [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> > > +  Builds twice in a row using the base.tgz. Requires a .dsc filename
> > > +
> > >  pbuilder --clean
> > >    Cleans the temporal build directory.
> > >  
> -- 
> aka nxvl
> Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
> gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE
> 
> [2 This is a digitally signed message part <application/pgp-signature (7bit)>]
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. Full text and rfc822 format available.

Acknowledgement sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 493538@bugs.debian.org (full text, mbox):

From: Nicolas Valcárcel <nvalcarcel@gmail.com>
To: Junichi Uekawa <dancer@netfort.gr.jp>
Cc: 493538@bugs.debian.org
Subject: Re: Please add --build-twice-in-a-row option
Date: Wed, 06 Aug 2008 04:43:48 -0400
[Message part 1 (text/plain, inline)]
Yes i did, and it works, also it's already included in ubuntu. Then
patch is this one:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=15;filename=twice-in-a-row.patch;att=1;bug=493538

On Wed, 2008-08-06 at 11:53 +0900, Junichi Uekawa wrote:
> I reviewed your second patch and it doesn't make sense, did you actually test it?
> 
> At Mon, 04 Aug 2008 23:05:38 -0400,
> Nicolas Valcárcel wrote:
> > 
> > [1  <text/plain (quoted-printable)>]
> > On my last patch it adds a --twice option which fixes the issue on the
> > where it should be.
> > 
> > On Tue, 2008-08-05 at 11:33 +0900, Junichi Uekawa wrote:
> > > Hi,
> > > 
> > > I think the concept of the patch might be a good thing, but I don't
> > > like the location the command-line option was added.  It should really
> > > be added in pbuilder-checkparams.
> > > 
> > > BTW, can't you actually create a hook script of some sort? That'd be
> > > a much easier change to incorporate.
> > > 
> > > > 
> > > > --- pbuilder-0.181/pbuilder	2008-05-24 18:54:05.000000000 -0400
> > > > +++ pbuilder-0.181/pbuilder	2008-08-03 21:27:29.000000000 -0400
> > > > @@ -34,6 +34,10 @@
> > > >  	shift ;
> > > >  	/usr/lib/pbuilder/pbuilder-updatebuildenv "$@"
> > > >  	;;
> > > > +    --build-twice|build-twice)
> > > > +        shift ;
> > > > +        /usr/lib/pbuilder/pbuilder-buildpackage --twice "$@"
> > > > +        ;;
> > > >      --build|build)
> > > >  	shift ;
> > > >  	/usr/lib/pbuilder/pbuilder-buildpackage "$@"
> > > > --- pbuilder-0.181/pbuilder.8	2008-05-24 18:54:05.000000000 -0400
> > > > +++ pbuilder-0.181/pbuilder.8	2008-08-03 21:30:13.000000000 -0400
> > > > @@ -8,6 +8,8 @@
> > > >  .PP
> > > >  .BI "pbuilder --build [" "options" "] " ".dsc-file"
> > > >  .PP
> > > > +.BI "pbuilder --build-twice [" "options" "] " ".dsc-file"
> > > > +.PP
> > > >  .BI "pbuilder --execute [" "options" "] -- " "script [" "script options" "]"
> > > >  .PP
> > > >  .BI "pbuilder --clean"
> > > > @@ -51,6 +53,13 @@
> > > >  .B "base.tgz"
> > > >  
> > > >  .TP
> > > > +.B "--build-twice"
> > > > +Builds the package specified by
> > > > +.I ".dsc-file"
> > > > +twice in a row in the chroot environment created using the
> > > > +.B "base.tgz"
> > > > +
> > > > +.TP
> > > >  .B "--clean"
> > > >  Cleans up the directory specified by the configuration
> > > >  .B "BUILDPLACE"
> > > > --- pbuilder-0.181/pbuilder-buildpackage	2008-05-24 18:54:05.000000000 -0400
> > > > +++ pbuilder-0.181/pbuilder-buildpackage	2008-08-02 19:13:07.000000000 -0400
> > > > @@ -25,6 +25,11 @@
> > > >  . /usr/lib/pbuilder/pbuilder-runhooks
> > > >  . /usr/lib/pbuilder/pbuilder-buildpackage-funcs
> > > >  
> > > > +if [ "$1" = --twice]; then
> > > > +    TWICE=True
> > > > +    shift;
> > > > +fi
> > > > +
> > > >  PACKAGENAME="$1"
> > > >  if [ ! -f "$PACKAGENAME" ]; then
> > > >      echo "Command line parameter [$PACKAGENAME] is not a valid .dsc file name" >&2
> > > > @@ -117,8 +122,14 @@
> > > >  
> > > >  if [ -z "$DEBEMAIL" ]; then
> > > >      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> > > > +    if [ -z "$TWICE" ]; then
> > > > +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc $DEBBUILDOPTS"
> > > > +    fi
> > > >  else
> > > >      DPKG_COMMANDLINE="cd tmp/buildd/*/; dpkg-buildpackage -us -uc  \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> > > > +    if [ -z "$TWICE" ]; then
> > > > +        DPKG_COMMANDLINE="$DPKG_COMMANDLINE; dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"
> > > > +    fi
> > > >  fi
> > > >  
> > > >  (
> > > > --- pbuilder-0.181/pbuilder-modules	2008-05-24 18:54:05.000000000 -0400
> > > > +++ pbuilder-0.181/pbuilder-modules	2008-08-03 21:30:54.000000000 -0400
> > > > @@ -37,6 +37,9 @@
> > > >  pbuilder --build [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> > > >    Builds using the base.tgz. Requires a .dsc filename
> > > >  
> > > > +pbuilder --build-twice [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
> > > > +  Builds twice in a row using the base.tgz. Requires a .dsc filename
> > > > +
> > > >  pbuilder --clean
> > > >    Cleans the temporal build directory.
> > > >  
> > -- 
> > aka nxvl
> > Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
> > gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE
> > 
> > [2 This is a digitally signed message part <application/pgp-signature (7bit)>]
> > 
-- 
aka nxvl
Key fingerprint = BCE4 27A0 D03E 55DE DA2D  BE06 891D 8DEE 6545 97FE
gpg --keyserver keyserver.ubuntu.com --recv-keys 654597FE

[signature.asc (application/pgp-signature, inline)]

Merged 490935 493538. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. (Sun, 22 Feb 2009 16:48:06 GMT) Full text and rfc822 format available.

Added tag(s) confirmed, fixed-upstream, and pending; removed tag(s) patch. Request was from Loïc Minier <lool@dooz.org> to control@bugs.debian.org. (Fri, 11 Dec 2009 17:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>:
Bug#493538; Package pbuilder. (Fri, 11 Dec 2009 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>. (Fri, 11 Dec 2009 18:09:03 GMT) Full text and rfc822 format available.

Message #44 received at 493538@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Nicolas Valcárcel <nvalcarcel@gmail.com>, 493538@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#493538: Info received (Bug#493538: Acknowledgement (Please add --build-twice-in-a-row option))
Date: Fri, 11 Dec 2009 18:35:35 +0100
[Message part 1 (text/plain, inline)]
tag 493538 = pending fixed-upstream confirmed
stop

        Hi

 I reworked this patch and merged it in the attached form.

   Bye
-- 
Loïc Minier
[0001-Add-support-for-building-packages-twice-493538.patch (text/x-diff, attachment)]

Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. (Sat, 26 Dec 2009 21:24:11 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Valcárcel <nvalcarcel@gmail.com>:
Bug acknowledged by developer. (Sat, 26 Dec 2009 21:24:12 GMT) Full text and rfc822 format available.

Message #49 received at 493538-close@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@debian.org>
To: 493538-close@bugs.debian.org
Subject: Bug#493538: fixed in pbuilder 0.195
Date: Sat, 26 Dec 2009 21:21:35 +0000
Source: pbuilder
Source-Version: 0.195

We believe that the bug you reported is fixed in the latest version of
pbuilder, which is due to be installed in the Debian FTP archive:

pbuilder-uml_0.195_amd64.deb
  to main/p/pbuilder/pbuilder-uml_0.195_amd64.deb
pbuilder_0.195.dsc
  to main/p/pbuilder/pbuilder_0.195.dsc
pbuilder_0.195.tar.gz
  to main/p/pbuilder/pbuilder_0.195.tar.gz
pbuilder_0.195_all.deb
  to main/p/pbuilder/pbuilder_0.195_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 493538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Junichi Uekawa <dancer@debian.org> (supplier of updated pbuilder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Dec 2009 05:39:15 +0900
Source: pbuilder
Binary: pbuilder pbuilder-uml
Architecture: source amd64 all
Version: 0.195
Distribution: unstable
Urgency: low
Maintainer: Debian pbuilder maintenance team <pbuilder-maint@lists.alioth.debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 pbuilder   - personal package builder for Debian packages
 pbuilder-uml - user-mode-linux version of pbuilder
Closes: 361362 472407 492898 493538 505695 525420 527878 561539
Changes: 
 pbuilder (0.195) unstable; urgency=low
 .
   [ Junichi Uekawa ]
   * fix pdebuild.1 documentation about options which was confusing
     (closes: #527878)
   * Warn when there is non-existing hookdir. (closes: #525420)
   * pdebuild-internal make HOME set to non-relative path. (closes:
     #492898)
   * Make error message visible when copying out to buildresult (closes:
     #505695)
   * explain pbuilder git commit message style in documentation.
   * install D80no-man-db-rebuild to example directory.
   * pbuilderrc: --variant=buildd is temporarily broken, disable.
 .
   [ Loïc Minier ]
   * Change default root command to sudo -E; (closes: #361362)
   * Do not mention codename of testing where possible
   * Use debootstrap by default instead of cdebootstrap
   * Factor "exec >" + "exec 2>&1" together
   * Add support for building packages twice; (closes: #493538)
   * Update header of /usr/share/pbuilder/pbuilderrc
   * Copy .dsc in chroot before calling gdebi; (closes: #472407)
   * Make --debbuildopts additive
   * Log dpkg-buildpackage command lines
   * Require gdebi/gdebi-core on host to resolve bdeps
 .
   [ gregor herrmann ]
   * Add a hook script example to disable man-db regeneration inside
     chroot (closes: #561539)
Checksums-Sha1: 
 ea3398eecfc83288e1afe805622a0f67bf86f0af 1095 pbuilder_0.195.dsc
 91e53d89de4d4ef9d3243ce08df255332284c293 956106 pbuilder_0.195.tar.gz
 c1da481b22d79937d1f9e543011036bf333764cf 40512 pbuilder-uml_0.195_amd64.deb
 934d209f582f88ffe4c2cc46798beae7b39422f1 334220 pbuilder_0.195_all.deb
Checksums-Sha256: 
 eefd627429b5f8a99f493a77b65d046dfcef6ae14d9f1b2d5df035acc07def8a 1095 pbuilder_0.195.dsc
 d760badb354d577f4cbb949929dc9ad0e04d19be710d779723fe651c4f32ea11 956106 pbuilder_0.195.tar.gz
 0854e5c335712f98c65e64692addf887de3f0291fe26b2019b515442c4001476 40512 pbuilder-uml_0.195_amd64.deb
 3eef0b4b53e6c46a65bfabd559099598bcf20ba8e3924d2f627d3be155142ab5 334220 pbuilder_0.195_all.deb
Files: 
 ec4b16d836fd053b1ff9409259fcc8aa 1095 devel extra pbuilder_0.195.dsc
 3e42c458df1e02352123a91347f401c2 956106 devel extra pbuilder_0.195.tar.gz
 f150e5db3a0ef9c39ee9ccaedf45532b 40512 devel extra pbuilder-uml_0.195_amd64.deb
 f4508fcb4b6077bd6b4476392ee50b27 334220 devel extra pbuilder_0.195_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFLNnay2Dd9TugeVcERAuVpAJ4wOYuFPiocWz8E8u7ytrla1dGxTACeOSuk
nHT8Bd2/vf+apdva1tP61dE=
=PsIJ
-----END PGP SIGNATURE-----





Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. (Sat, 26 Dec 2009 21:24:16 GMT) Full text and rfc822 format available.

Notification sent to Carl Fürstenberg <azatoth@gmail.com>:
Bug acknowledged by developer. (Sat, 26 Dec 2009 21:24:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jan 2010 07:30:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:11:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.